# 项目简介
- 项目名称：停用词效果测试
- 功能说明：根据提供的停用词，测试停用词的效果。
- 代码仓库：https://api.gree.com/gitlab/cuiweizhi/StopWordTest.git
- 项目负责人：崔为之
- 目录结构：
```
├─config  
|  ├─__init__.py
|  ├─stopWord.conf   // 配置文件
|  ├─readConfig.py  // 读取配置脚本
│  
├─data
│   ├─data.csv        //原始数据文件(过大，不上传)
|   │  
|   └─readData.py     //读取数据脚本
|
|
├─result //最终数据存储路径文件夹 (运行主体代码自动生成)
|
|
├─requirement.txt //python3 环境的配置
|
|
└─stopWordTest.py // 主体代码
```
# 如何运行
- 创建虚拟环境: python -m venv venv
- 安装软件包： pip -r requirements.txt
- 运行服务：
```
(1) 修改配置文件：stopWord.conf 和 data.csv (根据自己需要修改)
(2) 运行服务：python3 stopWordTest.py
```
# 版本信息
```
v1.0
```
# 更新日志
- v1.0 版本
```
(1) 首次创建项目
(2) 提供技能
```
